CVE Vulnerabilities

CVE-2016-10845

Improper Neutralization of Special Elements in Output Used by a Downstream Component ('Injection')

Published: Aug 01, 2019 | Modified: Aug 08, 2019
CVSS 3.x
8.1
HIGH
Source:
NVD
CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N
CVSS 2.x
6.5 MEDIUM
AV:N/AC:L/Au:S/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

cPanel before 11.54.0.4 allows arbitrary file-overwrite operations in scripts/check_system_storable (SEC-78).

Weakness

The product constructs all or part of a command, data structure, or record using externally-influenced input from an upstream component, but it does not neutralize or incorrectly neutralizes special elements that could modify how it is parsed or interpreted when it is sent to a downstream component.

Affected Software

Name Vendor Start Version End Version
Cpanel Cpanel 11.48.0.5 *
Cpanel Cpanel 11.50.0.4 *
Cpanel Cpanel 11.51.9999.98 *
Cpanel Cpanel 11.54.0.0 *

Potential Mitigations

References